
package com.sap.dbtechdev.wrapper;


/**
 *
 */
class WrapperOptions
{

    String targetPackage;
    String targetDir = ".";
    boolean packetDirs = false ;
    static final HelperVar [] noVarsC = new HelperVar [0];
    HelperVar [] helperVars = noVarsC;
    /**
     * WrapperOptions constructor
     */
    WrapperOptions ()
    {
    }

    /**
     *
     */
    public void setTargetPackage (
        String targetPackageP)
    {
        this.targetPackage = targetPackageP;
    }
    /**
     *
     */
    public String getTargetPackage ()
    {
        return this.targetPackage;
    }
    /**
     *
     */
    public void setTargetDir (
        String targetDirP)
    {
        this.targetDir = targetDirP;
    }
    /**
     *
     */
    public String getTargetDir ()
    {
        return this.targetDir;
    }
    /**
     *
     */
    public void setPacketDirs (
        String packetDirsP)
    {
        this.targetPackage = packetDirsP;
    }
    /**
     *
     */
    public String getPacketDirs ()
    {
        return this.targetPackage;
    }
    /**
     *
     */
    String getFileName (
        String baseName)
    {
        String result = this.targetDir + "/" + baseName + ".java";
        return result;
    }
    /**
     *
     */
    java.io.PrintWriter getSourceStream (
        String baseName)
    throws java.io.IOException
    {
        String fname = this.getFileName (baseName);
        System.out.println (fname);
        java.io.PrintWriter result = new java.io.PrintWriter (
            new java.io.FileWriter (fname));

        return result;
    }
    /**
     *
     */
    void setHelperVars (
        HelperVar [] helperVarsP)
    {
        if (helperVarsP == null) {
            helperVarsP = noVarsC;
        }
        this.helperVars = helperVarsP;
    }
    /**
     *
     */
    HelperVar [] getHelperVars ()
    {
        return this.helperVars;
    }
}

