
package com.sap.testpackage;


// nothing in genImports
public class Connection implements java.sql.Connection
{
    private java.sql.Connection _inner;
    private java.io.PrintStream printer;
    // nothing in genAdditionalInstanceVars

    public Connection(
        java.sql.Connection _innerP,
        java.io.PrintStream printerP)
    {
        this._inner = _innerP;
        this.printer = printerP;
    }

    public void setReadOnly (
        boolean arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setReadOnly (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void close ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.close ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public boolean isReadOnly ()
    throws java.sql.SQLException
    {
        boolean _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.isReadOnly ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public java.sql.PreparedStatement prepareStatement (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        java.sql.PreparedStatement _result;
        this.printer.println (this + ".prepareStatement (" + arg0 + ")");
        try {
            _result = this._inner.prepareStatement (arg0);
            _result = new com.sap.testpackage.PreparedStatement (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.PreparedStatement prepareStatement (
        java.lang.String arg0,
        int arg1,
        int arg2)
    throws java.sql.SQLException
    {
        java.sql.PreparedStatement _result;
        this.printer.println (this + ".prepareStatement (" + arg0 + ", " + arg1 + ", " + arg2 + ")");
        try {
            _result = this._inner.prepareStatement (arg0, arg1, arg2);
            _result = new com.sap.testpackage.PreparedStatement (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.CallableStatement prepareCall (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        java.sql.CallableStatement _result;
        this.printer.println (this + ".prepareCall (" + arg0 + ")");
        try {
            _result = this._inner.prepareCall (arg0);
            _result = new com.sap.testpackage.CallableStatement (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.CallableStatement prepareCall (
        java.lang.String arg0,
        int arg1,
        int arg2)
    throws java.sql.SQLException
    {
        java.sql.CallableStatement _result;
        this.printer.println (this + ".prepareCall (" + arg0 + ", " + arg1 + ", " + arg2 + ")");
        try {
            _result = this._inner.prepareCall (arg0, arg1, arg2);
            _result = new com.sap.testpackage.CallableStatement (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.Statement createStatement (
        int arg0,
        int arg1)
    throws java.sql.SQLException
    {
        java.sql.Statement _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.createStatement (arg0, arg1);
            _result = new com.sap.testpackage.Statement (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public java.sql.Statement createStatement ()
    throws java.sql.SQLException
    {
        java.sql.Statement _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.createStatement ();
            _result = new com.sap.testpackage.Statement (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public java.lang.String nativeSQL (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        java.lang.String _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.nativeSQL (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setAutoCommit (
        boolean arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setAutoCommit (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public boolean getAutoCommit ()
    throws java.sql.SQLException
    {
        boolean _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getAutoCommit ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void commit ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.commit ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void rollback ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.rollback ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public boolean isClosed ()
    throws java.sql.SQLException
    {
        boolean _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.isClosed ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public java.sql.DatabaseMetaData getMetaData ()
    throws java.sql.SQLException
    {
        java.sql.DatabaseMetaData _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMetaData ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setCatalog (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setCatalog (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public java.lang.String getCatalog ()
    throws java.sql.SQLException
    {
        java.lang.String _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getCatalog ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setTransactionIsolation (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setTransactionIsolation (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getTransactionIsolation ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getTransactionIsolation ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public java.sql.SQLWarning getWarnings ()
    throws java.sql.SQLException
    {
        java.sql.SQLWarning _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getWarnings ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void clearWarnings ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.clearWarnings ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public java.util.Map getTypeMap ()
    throws java.sql.SQLException
    {
        java.util.Map _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getTypeMap ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setTypeMap (
        java.util.Map arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setTypeMap (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }


}
