
package com.sap.testpackage;


// nothing in genImports
public class PreparedStatement implements java.sql.PreparedStatement
{
    private java.sql.PreparedStatement _inner;
    private java.io.PrintStream printer;
    // nothing in genAdditionalInstanceVars

    public PreparedStatement(
        java.sql.PreparedStatement _innerP,
        java.io.PrintStream printerP)
    {
        this._inner = _innerP;
        this.printer = printerP;
    }

    public void close ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.close ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public boolean execute (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        boolean _result;
        this.printer.println (this + ".execute (" + arg0 + ")");
        try {
            _result = this._inner.execute (arg0);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public int executeUpdate (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        int _result;
        this.printer.println (this + ".executeUpdate (" + arg0 + ")");
        try {
            _result = this._inner.executeUpdate (arg0);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.ResultSet executeQuery (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        java.sql.ResultSet _result;
        this.printer.println (this + ".executeQuery (" + arg0 + ")");
        try {
            _result = this._inner.executeQuery (arg0);
            _result = new com.sap.testpackage.ResultSet (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.SQLWarning getWarnings ()
    throws java.sql.SQLException
    {
        java.sql.SQLWarning _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getWarnings ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void clearWarnings ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.clearWarnings ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public java.sql.Connection getConnection ()
    throws java.sql.SQLException
    {
        java.sql.Connection _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getConnection ();
            _result = new com.sap.testpackage.Connection (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getMaxFieldSize ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMaxFieldSize ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setMaxFieldSize (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setMaxFieldSize (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getMaxRows ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMaxRows ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setMaxRows (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setMaxRows (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setEscapeProcessing (
        boolean arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setEscapeProcessing (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getQueryTimeout ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getQueryTimeout ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setQueryTimeout (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setQueryTimeout (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void cancel ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.cancel ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setCursorName (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setCursorName (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public java.sql.ResultSet getResultSet ()
    throws java.sql.SQLException
    {
        java.sql.ResultSet _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getResultSet ();
            _result = new com.sap.testpackage.ResultSet (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getUpdateCount ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getUpdateCount ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public boolean getMoreResults ()
    throws java.sql.SQLException
    {
        boolean _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMoreResults ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setFetchDirection (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setFetchDirection (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getFetchDirection ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getFetchDirection ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setFetchSize (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setFetchSize (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getFetchSize ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getFetchSize ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getResultSetConcurrency ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getResultSetConcurrency ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getResultSetType ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getResultSetType ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void addBatch (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.addBatch (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void clearBatch ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.clearBatch ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int [] executeBatch ()
    throws java.sql.SQLException
    {
        int [] _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.executeBatch ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public boolean execute ()
    throws java.sql.SQLException
    {
        boolean _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.execute ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int executeUpdate ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.executeUpdate ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public java.sql.ResultSet executeQuery ()
    throws java.sql.SQLException
    {
        java.sql.ResultSet _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.executeQuery ();
            _result = new com.sap.testpackage.ResultSet (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public java.sql.ResultSetMetaData getMetaData ()
    throws java.sql.SQLException
    {
        java.sql.ResultSetMetaData _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMetaData ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void addBatch ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.addBatch ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setNull (
        int arg0,
        int arg1,
        java.lang.String arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setNull (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setNull (
        int arg0,
        int arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setNull (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setBoolean (
        int arg0,
        boolean arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setBoolean (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setByte (
        int arg0,
        byte arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setByte (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setShort (
        int arg0,
        short arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setShort (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setInt (
        int arg0,
        int arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setInt (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setLong (
        int arg0,
        long arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setLong (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setFloat (
        int arg0,
        float arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setFloat (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setDouble (
        int arg0,
        double arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setDouble (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setBigDecimal (
        int arg0,
        java.math.BigDecimal arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setBigDecimal (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setString (
        int arg0,
        java.lang.String arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setString (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setBytes (
        int arg0,
        byte [] arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setBytes (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setDate (
        int arg0,
        java.sql.Date arg1,
        java.util.Calendar arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setDate (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setDate (
        int arg0,
        java.sql.Date arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setDate (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setTime (
        int arg0,
        java.sql.Time arg1,
        java.util.Calendar arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setTime (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setTime (
        int arg0,
        java.sql.Time arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setTime (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setTimestamp (
        int arg0,
        java.sql.Timestamp arg1,
        java.util.Calendar arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setTimestamp (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setTimestamp (
        int arg0,
        java.sql.Timestamp arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setTimestamp (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setAsciiStream (
        int arg0,
        java.io.InputStream arg1,
        int arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setAsciiStream (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setUnicodeStream (
        int arg0,
        java.io.InputStream arg1,
        int arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setUnicodeStream (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setBinaryStream (
        int arg0,
        java.io.InputStream arg1,
        int arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setBinaryStream (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void clearParameters ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.clearParameters ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setObject (
        int arg0,
        java.lang.Object arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setObject (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setObject (
        int arg0,
        java.lang.Object arg1,
        int arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setObject (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setObject (
        int arg0,
        java.lang.Object arg1,
        int arg2,
        int arg3)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setObject (arg0, arg1, arg2, arg3);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setCharacterStream (
        int arg0,
        java.io.Reader arg1,
        int arg2)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setCharacterStream (arg0, arg1, arg2);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setRef (
        int arg0,
        java.sql.Ref arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setRef (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setBlob (
        int arg0,
        java.sql.Blob arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setBlob (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setClob (
        int arg0,
        java.sql.Clob arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setClob (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setArray (
        int arg0,
        java.sql.Array arg1)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setArray (arg0, arg1);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }


}
