
package com.sap.testpackage;


// nothing in genImports
public class Statement implements java.sql.Statement
{
    private java.sql.Statement _inner;
    private java.io.PrintStream printer;
    // nothing in genAdditionalInstanceVars

    public Statement(
        java.sql.Statement _innerP,
        java.io.PrintStream printerP)
    {
        this._inner = _innerP;
        this.printer = printerP;
    }

    public void close ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.close ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public boolean execute (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        boolean _result;
        this.printer.println (this + ".execute (" + arg0 + ")");
        try {
            _result = this._inner.execute (arg0);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public int executeUpdate (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        int _result;
        this.printer.println (this + ".executeUpdate (" + arg0 + ")");
        try {
            _result = this._inner.executeUpdate (arg0);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.ResultSet executeQuery (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        java.sql.ResultSet _result;
        this.printer.println (this + ".executeQuery (" + arg0 + ")");
        try {
            _result = this._inner.executeQuery (arg0);
            _result = new com.sap.testpackage.ResultSet (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            this.printer.println (_exc.toString ());
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            this.printer.println (_exc0.toString ());
            throw _exc0;
        }
        this.printer.println ("=> " + _result);
        return _result;
    }

    public java.sql.SQLWarning getWarnings ()
    throws java.sql.SQLException
    {
        java.sql.SQLWarning _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getWarnings ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void clearWarnings ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.clearWarnings ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public java.sql.Connection getConnection ()
    throws java.sql.SQLException
    {
        java.sql.Connection _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getConnection ();
            _result = new com.sap.testpackage.Connection (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getMaxFieldSize ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMaxFieldSize ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setMaxFieldSize (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setMaxFieldSize (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getMaxRows ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMaxRows ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setMaxRows (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setMaxRows (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setEscapeProcessing (
        boolean arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setEscapeProcessing (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getQueryTimeout ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getQueryTimeout ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setQueryTimeout (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setQueryTimeout (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void cancel ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.cancel ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void setCursorName (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setCursorName (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public java.sql.ResultSet getResultSet ()
    throws java.sql.SQLException
    {
        java.sql.ResultSet _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getResultSet ();
            _result = new com.sap.testpackage.ResultSet (_result, this.printer);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getUpdateCount ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getUpdateCount ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public boolean getMoreResults ()
    throws java.sql.SQLException
    {
        boolean _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getMoreResults ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setFetchDirection (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setFetchDirection (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getFetchDirection ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getFetchDirection ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void setFetchSize (
        int arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.setFetchSize (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int getFetchSize ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getFetchSize ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getResultSetConcurrency ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getResultSetConcurrency ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public int getResultSetType ()
    throws java.sql.SQLException
    {
        int _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.getResultSetType ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }

    public void addBatch (
        java.lang.String arg0)
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.addBatch (arg0);
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public void clearBatch ()
    throws java.sql.SQLException
    {
        // nothing in genParameterEntry
        try {
            this._inner.clearBatch ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
    }

    public int [] executeBatch ()
    throws java.sql.SQLException
    {
        int [] _result;
        // nothing in genParameterEntry
        try {
            _result = this._inner.executeBatch ();
        }
        catch (RuntimeException _exc) {
            // nothing in genExceptionHandling
            throw _exc;
        }
        catch (java.sql.SQLException _exc0) {
            // nothing in genExceptionHandling
            throw _exc0;
        }
        // nothing in genReturn
        return _result;
    }


}
